﻿using NetinaShop.Domain.Entities.ProductCategories;

namespace NetinaShop.Domain.Dtos.LargDtos;

public class ProductCategoryLDto : BaseDto<ProductCategoryLDto, ProductCategory>
{
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public Guid ParentId { get; set; }
    public List<ProductCategorySDto> Children { get; set; } = new();
    public List<StorageFileSDto> Files { get; internal set; } = new();
}