﻿using NetinaShop.Domain.Entities.Pages;
using Newtonsoft.Json;

namespace NetinaShop.Domain.Dtos.SmallDtos;

public class BasePageEntitySDto : BaseDto<BasePageEntitySDto,BasePageEntity>
{
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public string Content { get; set; } = string.Empty;
    public bool IsCustomPage { get; set; }
    public bool IsHtmlBasePage { get; set; }
    public string Slug { get; set; } = string.Empty;
    public string Data { get; set; } = string.Empty;

    public T GetData<T>() => JsonConvert.DeserializeObject<T>(Data);
}