﻿namespace NetinaShop.Domain.Dtos.SmallDtos;

public class OrderDeliverySDto : BaseDto<OrderDeliverySDto, OrderDelivery>
{
    public string Province { get; set; } = string.Empty;
    public string City { get; set; } = string.Empty;
    public string Plaque { get; set; } = string.Empty;
    public float LocationLat { get; set; }
    public float LocationLong { get; set; }
    public string Address { get; set; } = string.Empty;
    public string PostalCode { get; set; } = string.Empty;
    public string ReceiverPhoneNumber { get; set; } = string.Empty;
    public string ReceiverFullName { get; set; } = string.Empty;
    public string ShippingMethod { get; set; } = string.Empty;
    public double DeliveryCost { get; internal set; }
    public Guid AddressId { get; set; }
    public Guid OrderId { get; set; }
    public Guid ShippingId { get; internal set; }
}

