﻿namespace NetinaShop.Domain.Dtos.SmallDtos;

public class OrderProductSDto : BaseDto<OrderProductSDto, OrderProduct>
{
    public int Count { get; set; }
    public double ProductFee { get; set; }
    public double ProductFeeWithDiscount { get; set; }
    public bool HasDiscount { get; set; }
    public double ProductCost { get; set; }
    public double PackingFee { get; set; }
    public double PackingCost { get; set; }
    public OrderStatus OrderProductStatus { get; set; }

    public Guid ProductId { get;  set; }
    public string ProductName { get; set; } = string.Empty;
    public Guid OrderId { get;  set; }
}

