﻿namespace NetinaShop.Domain.Dtos.SmallDtos;
public class OrderSDto : BaseDto<OrderSDto, Order>
{
    public double TotalPrice { get; set; }
    public string FactorCode { get; set; } = string.Empty;
    public double DeliveryPrice { get; set; }
    public double TaxesPrice { get; set; }
    public double ServicePrice { get; set; }
    public double PackingPrice { get; set; }
    public double TotalProductsPrice { get; set; }
    public double DiscountPrice { get; set; }
    public double DiscountCodePrice { get; set; }
    public double ProductDiscountPrice { get; set; }
    public bool IsPayed { get; set; }
    public OrderStatus OrderStatus { get; set; }
    public DateTime PayedAt { get; set; }
    public DateTime DoneAt { get; set; }
    public DateTime OrderAt { get; set; }
    public int PreparingMinute { get; set; }
    public string DiscountCode { get; set; } = string.Empty;
    public string UserFullName { get; set; } = string.Empty;
    public string UserPhoneNumber { get; set; } = string.Empty;
    public Guid UserId { get; internal set; }
}
