﻿namespace NetinaShop.Domain.Dtos.SmallDtos;

public class ProductSDto : BaseDto<ProductSDto, Product>
{

    public string PersianName { get; set; } = string.Empty;
    public string EnglishName { get; set; } = string.Empty;
    public string Summery { get; set; } = string.Empty;
    public string ExpertCheck { get; set; } = string.Empty;
    public string Tags { get; set; } = string.Empty;
    public string Warranty { get; set; } = string.Empty;
    public double Cost { get; set; }
    public double DiscountPercent { get; set; }
    public bool HasDiscount { get; set; }
    public double CostWithDiscount { get; set; }
    public bool IsEnable { get; set; }
    public bool IsSpecial { get; set; }
    public int Stock { get; internal set; }
    public int MaxOrderCount { get; internal set; }
    public bool BeDisplayed { get; set; }
    public double PackingCost { get; set; }
    public float Rate { get; set; }
    public int ReviewCount { get; set; }
    public int Viewed { get; set; }
    public string MainImage { get; set; } = string.Empty;
    public Guid CategoryId { get; internal set; }

    public Guid BrandId { get; set; }
    public string BrandName { get; set; } = string.Empty;
    public string CategoryName { get; set; } = string.Empty;
}