﻿using NetinaShop.Domain.Entities.ProductCategories;

namespace NetinaShop.Domain.Entities.Discounts;

public partial class CategoryDiscount : Discount
{
    public CategoryDiscount()
    {

    }

    public CategoryDiscount(string code, int discountPercent, long discountAmount, bool hasCode, DiscountAmountType amountType, DiscountType type, int count, DateTime startDate, DateTime expireDate, long priceFloor, bool hasPriceFloor, long priceCeiling, bool hasPriceCeiling, bool isInfinity, long useCount, bool isForInvitation,bool isSpecialOffer, Guid categoryId)
        : base(code, discountPercent, discountAmount, hasCode, amountType, type, count, startDate, expireDate, priceFloor, hasPriceFloor, priceCeiling, hasPriceCeiling, isInfinity, useCount,
            isForInvitation, isSpecialOffer)
    {
        CategoryId = categoryId;
    }
    public Guid CategoryId { get; internal set; }
    public ProductCategory? Category { get; internal set; }
}