﻿using System.Text.Json;

namespace NetinaShop.Domain.Entities.Pages;

public class BasePageEntity
{
    public Guid Id { get; set; }
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public string Content { get; set; } = string.Empty;
    public bool IsCustomPage { get; set; }
    public bool IsHtmlBasePage { get; set; }
    public string Slug { get; set; } = string.Empty;
    public string Type { get; set; } = string.Empty;
    public string Data { get; set; } = string.Empty;
}