﻿namespace NetinaShop.Domain.Entities.StorageFiles;
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public partial class StorageFile : ApiEntity
{
    public StorageFile()
    {
        
    }
    public StorageFile(string name, string fileLocation, string fileName, bool isHeader, bool isPrimary, StorageFileType fileType)
    {
        Name = name;
        FileLocation = fileLocation;
        FileName = fileName;
        IsHeader = isHeader;
        IsPrimary = isPrimary;
        FileType = fileType;
    }
    public string Name { get; internal set; } = string.Empty;
    public string FileLocation { get; internal set; } = string.Empty;
    public string FileName { get; internal set; } = string.Empty;
    public bool IsHeader { get; internal set; }
    public bool IsPrimary { get; internal set; }
    public StorageFileType FileType { get; internal set; }
}