﻿namespace NetinaShop.Infrastructure.Models.Scrapers.Digikala;

public class GetDigikalProductsResponseDto
{

    public int status { get; set; }
    public GetDigikalProductsResponseDtoData data { get; set; }

    public class GetDigikalProductsResponseDtoData
    {
        public List<GetDigikalProductsResponseDtoProduct> products { get; set; }
    }

    public class GetDigikalProductsResponseDtoImages
    {
        public GetDigikalProductsResponseDtoMain main { get; set; }
    }


    public class GetDigikalProductsResponseDtoMain
    {
        public List<object> storage_ids { get; set; }
        public List<string> url { get; set; }
        public object thumbnail_url { get; set; }
        public object temporary_id { get; set; }
        public List<string> webp_url { get; set; }
    }

    public class GetDigikalProductsResponseDtoProduct
    {
        public int id { get; set; }
        public string title_fa { get; set; }
        public string title_en { get; set; }
        public GetDigikalProductsResponseDtoUrl url { get; set; }
        public GetDigikalProductsResponseDtoImages images { get; set; }
        //public GetDigikalProductsResponseDtoVarient default_variant { get; set; }
    }
    public class GetDigikalProductsResponseDtoVarient
    {
        //public GetDigikalProductsResponseDtoPrice price { get; set; }
    }

    public class GetDigikalProductsResponseDtoPrice
    {
        //public string rrp_price { get; set; }
    }
    public class GetDigikalProductsResponseDtoUrl
    {
        public string uri { get; set; }
    }


}