﻿namespace NetinaShop.Repository.Abstracts;

public interface ICurrentUserService : IScopedDependency
{
    string? UserId { get; }
    string? RoleName { get; }
    string? UserName { get; }
    string? DeviceId { get; }
    bool IsAuthorized { get; }
    public List<string>? Permissions { get; }
}