﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace NetinaShop.Repository.Migrations
{
    /// <inheritdoc />
    public partial class EditAddress : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "BuildingUnit",
                schema: "public",
                table: "UserAddresses",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "City",
                schema: "public",
                table: "UserAddresses",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Plaque",
                schema: "public",
                table: "UserAddresses",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Province",
                schema: "public",
                table: "UserAddresses",
                type: "text",
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "BuildingUnit",
                schema: "public",
                table: "UserAddresses");

            migrationBuilder.DropColumn(
                name: "City",
                schema: "public",
                table: "UserAddresses");

            migrationBuilder.DropColumn(
                name: "Plaque",
                schema: "public",
                table: "UserAddresses");

            migrationBuilder.DropColumn(
                name: "Province",
                schema: "public",
                table: "UserAddresses");
        }
    }
}
