﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateAddressCommand(
    string Address, 
    string Province,
    string City,
    string Plaque,
    string BuildingUnit, 
    string ReceiverFullName, 
    string ReceiverPhoneNumber,
    string PostalCode,
    float LocationLat,
    float LocationLong) : IRequest<bool>;

public sealed record UpdateAddressCommand(
    Guid Id,
    string Address,
    string Province,
    string City,
    string Plaque,
    string BuildingUnit,
    string ReceiverFullName,
    string ReceiverPhoneNumber,
    string PostalCode,
    float LocationLat,
    float LocationLong) : IRequest<bool>;

public sealed record DeleteAddressCommand(Guid Id):IRequest<bool>;