﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateBrandCommand(string Name,string Description , bool HasSpecialPage , string PageUrl, List<StorageFileSDto> Files) : IRequest<BrandSDto>;

public sealed record UpdateBrandCommand(Guid Id, string Name, string Description, bool HasSpecialPage, string PageUrl, List<StorageFileSDto> Files) : IRequest<bool>;

public sealed record DeleteBrandCommand(Guid Id) : IRequest<bool>;

