﻿namespace NetinaShop.Domain.CommandQueries.Commands;

public sealed record CreateShippingCommand (
    string Name,
    string WarehouseName,
    bool IsExpressShipping,
    bool IsShipBySeller ,
    bool IsOriginalWarehouse,
    double DeliveryCost,
    int WorkingDays) : IRequest<ShippingSDto>;

public sealed record UpdateShippingCommand(
    Guid Id,
    string Name,
    string WarehouseName,
    bool IsExpressShipping,
    bool IsShipBySeller,
    bool IsOriginalWarehouse,
    double DeliveryCost,
    int WorkingDays) : IRequest<bool>;

public sealed record DeleteShippingCommand(
    Guid Id) : IRequest<bool>;