﻿namespace NetinaShop.Domain.CommandQueries.Queries;

public record GetProductCategoryQuery(Guid Id) : IRequest<ProductCategoryLDto>;
public record GetProductCategoriesQuery(int? Page , bool? SortByMain, string? CategoryName) : IRequest<List<ProductCategorySDto>>;
public record GetProductCategoryChildrenQuery(Guid Id) : IRequest<List<Guid>>;