﻿namespace NetinaShop.Domain.CommandQueries.Queries;


public sealed record GetProductQuery(Guid Id) : IRequest<GetProductResponseDto>;
public sealed record GetProductsQuery(
    Guid[]? BrandIds, 
    bool? IsActive,
    bool? SpecialOffer,
    int Page = 0 , 
    string? ProductName = default,
    QuerySortBy SortBy = QuerySortBy.None , 
    Guid CategoryId = default , 
    double MinPrice = -1 , 
    double MaxPrice = 0) : IRequest<GetProductsResponseDto>;