﻿namespace NetinaShop.Domain.DocumentEntities.Complexes;

public partial class Complex
{
    public Complex()
    {
        
    }
    public Complex(string name, 
        string address, 
        string description, 
        string supportPhone, 
        double latitude, 
        double longitude, 
        string returnedAddress,
        string termsAndPrivacyRules)
    {
        Name = name;
        Address = address;
        Description = description;
        SupportPhone = supportPhone;
        Latitude = latitude;
        Longitude = longitude;
        ReturnedAddress = returnedAddress;
        TermsAndPrivacyRules = termsAndPrivacyRules;
    }

    public Guid Id { get; set; }
    public string Name { get; internal set; } = string.Empty;
    public string Address { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;
    public string SupportPhone { get; internal set; } = string.Empty;
    public double Latitude { get; internal set; }
    public double Longitude { get; internal set; }
    public string ReturnedAddress { get; internal set; } = string.Empty;
    public string TermsAndPrivacyRules { get; set; } = string.Empty;

}