﻿namespace NetinaShop.Domain.Dtos.LargDtos;

public class ProductLDto : BaseDto<ProductLDto,Product>
{
    public string PersianName { get; set; } = string.Empty;
    public string EnglishName { get; set; } = string.Empty;
    public string Summery { get; set; } = string.Empty;
    public string ExpertCheck { get; set; } = string.Empty;
    public string Tags { get; set; } = string.Empty;
    public string Warranty { get; set; } = string.Empty;
    public bool BeDisplayed { get; set; }
    public bool HasExpressDelivery { get; set; }
    public double Cost { get; set; }
    public double PackingCost { get; set; }
    public int MaxOrderCount { get; set; }
    public int Stock { get; set; }
    public Guid BrandId { get; set; }
    public string BrandName { get; set; } = string.Empty;
    public Guid CategoryId { get; set; }
    public string CategoryName { get; set; } = string.Empty;
    public bool IsSpecialOffer { get; set; }

    public List<SpecificationSDto> Specifications { get; set; } = new();
    public List<ReviewSDto> Reviews { get; set; } = new();
    public List<StorageFileSDto> Files { get; set; } = new();

    public DiscountSDto? SpecialOffer { get; set; }
}