﻿namespace NetinaShop.Domain.Dtos.SmallDtos;

public class DiscountSDto : BaseDto<DiscountSDto,Discount>
{
    public string Code { get; set; } = string.Empty;
    public int DiscountPercent { get; set; }
    public long DiscountAmount { get; set; }
    public bool HasCode { get; set; }
    public DiscountAmountType AmountType { get; set; }
    public DiscountType Type { get; set; }
    public int Count { get; set; }
    public DateTime StartDate { get; set; }
    public DateTime ExpireDate { get; set; }
    public long PriceFloor { get; set; }
    public bool HasPriceFloor { get; set; }
    public long PriceCeiling { get; set; }
    public bool HasPriceCeiling { get; set; }
    public bool IsInfinity { get; set; }
    public long UseCount { get; set; }
    public bool IsSpecialOffer { get; set; }
    public bool IsForInvitation { get; set; }
}