﻿using NetinaShop.Domain.Entities.ProductCategories;

namespace NetinaShop.Domain.Dtos.SmallDtos;

public class ProductCategorySDto : BaseDto<ProductCategorySDto , ProductCategory>
{
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool IsMain { get; set; }
    public Guid ParentId { get; set; }
    public string ParentName { get; set; } = string.Empty;

    public List<ProductCategorySDto> Children { get; set; } = new();
}