﻿namespace NetinaShop.Domain.Dtos.SmallDtos;

public class UserAddressSDto : BaseDto<UserAddressSDto,UserAddress>
{
    public string Address { get; set; } = string.Empty;
    public string PostalCode { get; set; } = string.Empty;
    public string ReceiverFullName { get; set; } = string.Empty;
    public string ReceiverPhoneNumber { get; set; } = string.Empty;
    public float LocationLat { get; set; }
    public float LocationLong { get; set; }
    public string Province { get; set; } = string.Empty;
    public string City { get; set; } = string.Empty;
    public string Plaque { get; set; } = string.Empty;
    public string BuildingUnit { get; set; } = string.Empty;
    public Guid UserId { get; set; }
}