﻿namespace NetinaShop.Domain.Entities.Discounts;

public partial class ProductDiscount : Discount
{
    public ProductDiscount()
    {
        
    }

    public ProductDiscount(string code, int discountPercent, long discountAmount, bool hasCode, DiscountAmountType amountType, DiscountType type, int count, DateTime startDate, DateTime expireDate, long priceFloor, bool hasPriceFloor, long priceCeiling, bool hasPriceCeiling, bool isInfinity, long useCount, bool isForInvitation,bool isSpecialOffer,Guid productId)
        : base(code, discountPercent, discountAmount, hasCode, amountType, type, count, startDate, expireDate, priceFloor, hasPriceFloor, priceCeiling, hasPriceCeiling, isInfinity, useCount,  isForInvitation, isSpecialOffer)
    {
        ProductId = productId;
    }

    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }
}