﻿namespace NetinaShop.Domain.Entities.Orders;

public partial class OrderDelivery : ApiEntity
{
    public OrderDelivery()
    {
        
    }
    public OrderDelivery(Guid addressId, double deliveryCost, Guid shippingId, Guid orderId)
    {
        AddressId = addressId;
        DeliveryCost = deliveryCost;
        ShippingId = shippingId;
        OrderId = orderId;
    }

    public Guid AddressId { get; set; }
    public UserAddress? Address { get; set; }

    public double DeliveryCost { get; internal set; }
    public Guid ShippingId { get; internal set; }
    public Shipping? Shipping { get; internal set; }
    public Guid OrderId { get; internal set; }
    public Order? Order { get; internal set; }
}