﻿namespace NetinaShop.Domain.Entities.Products;

public partial class ProductStorageFile : StorageFile
{
    public ProductStorageFile()
    {

    }

    public ProductStorageFile( string name, string fileLocation, string fileName, bool isHeader, bool isPrimary, StorageFileType fileType, Guid productId)
     : base(name, fileLocation, fileName, isHeader, isPrimary, fileType)
    {
        ProductId = productId;
    }
    public Guid ProductId { get; internal set; }
    public Product? Product { get; internal set; }
}